kind: pipeline
name: default

steps:
  - name: install
    image: composer
    commands:
      - make install
  - name: cleanup
    image: php:8.1
    commands:
      - apt-get update && apt-get install -y git zip
      - curl -L https://phar.phpunit.de/phpunit.phar -o /usr/local/bin/phpunit
      - curl -L https://squizlabs.github.io/PHP_CodeSniffer/phpcs.phar -o /usr/local/bin/phpcs
      - curl -L https://squizlabs.github.io/PHP_CodeSniffer/phpcbf.phar -o /usr/local/bin/phpcbf
      - chmod +x /usr/local/bin/phpunit
      - chmod +x /usr/local/bin/phpcs
      - chmod +x /usr/local/bin/phpcbf
      - curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer
      - phpcs -d memory_limit=512M --extensions=php --standard=PSR2 ./src/

  - name: test
    image: php:8.1
    commands:
      - vendor/bin/phpunit
